package BankSystemGUI;

import java.awt.EventQueue;

import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.border.EmptyBorder;
import java.awt.Color;
import javax.swing.border.LineBorder;
import javax.swing.JLabel;
import javax.swing.SwingConstants;
import java.awt.Font;
import javax.swing.JTextField;
import javax.swing.JButton;

public class ViewLogin extends JFrame {

	private static final long serialVersionUID = 1L;
	private JPanel contentPane;
	private JTextField name;
	private JTextField vorname;
	private JButton login;

	public ViewLogin() {
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		setBounds(100, 100, 600, 582);
		contentPane = new JPanel();
		contentPane.setBorder(new EmptyBorder(5, 5, 5, 5));

		setContentPane(contentPane);
		contentPane.setLayout(null);
		
		JPanel panel = new JPanel();
		panel.setBorder(new LineBorder(new Color(255, 0, 128)));
		panel.setBackground(new Color(219, 219, 219));
		panel.setBounds(159, 67, 261, 261);
		contentPane.add(panel);
		panel.setLayout(null);
		
		JLabel lblNewLabel = new JLabel("Name: ");
		lblNewLabel.setBounds(10, 65, 89, 26);
		panel.add(lblNewLabel);
		
		JLabel lblNewLabel_1 = new JLabel("Login");
		lblNewLabel_1.setFont(new Font("Tahoma", Font.BOLD, 15));
		lblNewLabel_1.setHorizontalAlignment(SwingConstants.CENTER);
		lblNewLabel_1.setBounds(10, 11, 209, 26);
		panel.add(lblNewLabel_1);
		
		name = new JTextField();
		name.setBounds(72, 65, 179, 26);
		panel.add(name);
		name.setColumns(10);
		
		JLabel lblVorname = new JLabel("Vorname: ");
		lblVorname.setBounds(10, 110, 157, 26);
		panel.add(lblVorname);
		
		vorname = new JTextField();
		vorname.setColumns(10);
		vorname.setBounds(72, 110, 179, 26);
		panel.add(vorname);
		
		login = new JButton("Login");
		login.setBounds(10, 164, 99, 37);
		panel.add(login);
		
	

	}
	
	public void zeige_login() {
		this.setVisible(true);
	}
	
	public void schließe_login() {
		this.setVisible(false);
	}
	
	public JButton getLogin() {
		return login;
	}

	public String getName() {
		return name.getText();
	}

	public void setName(JTextField name) {
		this.name = name;
	}

	public String getVorname() {
		return vorname.getText();
	}

	public void setVorname(JTextField vorname) {
		this.vorname = vorname;
	}
	
	
	
}
